local fn = _gn(0x8BDC7BFC57A81E76)
--- Attempts to identify the highest ground Z-coordinate and determine the corresponding surface normal directly beneath a specified 3D coordinate.
-- ```
-- NativeDB Introduced: v323
-- ```
-- @param x X-coordinate of the point to check.
-- @param y Y-coordinate of the point to check.
-- @param z Z-coordinate of the point to check.
-- @param groundZ A pointer to a float where the ground Z-coordinate will be stored if found.
-- @param normal A pointer to a Vector3 structure where the surface normal at the ground point will be stored.
-- @return Returns `true` if ground is found below the given coordinates and the surface normal could be determined, otherwise `false`.
function Global.GetGroundZCoordWithOffsets(x, y, z)
	return fn(x, y, z, _f, _v, _r)
end
